/*
    The source code contained within this file is protected under the
    laws of the United States of America and by International Treaty.
    Unless otherwise noted, the source contained herein is:

    Copyright (c)1990, 1991, 1992 BecknerVision Inc - All Rights Reserved

    Written by John Wm Beckner        THIS NOTICE MUST NOT BE REMOVED
    BecknerVision Inc
    PO Box 11945                      SOURCE CODE (THIS FILE) MAY NOT BE
    Winston-Salem NC 27116            DISTRIBUTED!  ONLY REGISTERED USERS
    Fax: 919/760-1003                 OF BECKNER LIBRARY & UTILITIES II MAY
                                      BE IN POSSESSION OF THIS FILE.
*/

#include "beckner.inc"

FUNCTION bInt2Num(cIntWord, lSigned)
   LOCAL nValue
   cIntWord := bRPadNull(cIntWord, 2)
   DEFAULT lSigned TO .n.
   nValue := Asc(cIntWord)+Asc(Right(cIntWord, 1))*256
   iif(lSigned .and. nValue>32767, nValue -= 65536,)
   RETURN nValue
ENDFUNCTION

